Foreman - Bug #13515

Foreman exception triggered when editing a role filter or adding a new one
02/02/2016 05:11 AM - Frank Hart

Status: Closed
Priority: Normal
Assignee: Tom Caspy
Category: Users, Roles and Permissions
Target version: 1.10.2
Difficulty: Fixed in Releases:
Triaged: Found in Releases: 1.10.1
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3187
Description

After upgrading from 1.9.3 to 1.10.1, editing a role filter or adding a new filter triggers an exception:

Exception:

Warning!

ERF42-5434 [Foreman::Exception]: unknown permission view_[#<location id: 22, name: "frankfurt_frm"
, type: "location", created_at: "2015_02_11 18:49:45", updated_at: "2015_02_11 18:49:50", ignore_t
ypes: [], ancestry: nil, title: "frankfurt_frm", description: nil>, #<location id: 7, name: "hong_
kong_hkx", type: "location", created_at: "2014_11_04 02:36:04", updated_at: "2014_12_22 03:48:18",
ignore_types: [], ancestry: nil, title: "hong_kong_hkx", description: nil>, #<location id: 15, na
me: "istanbul_isl", type: "location", created_at: "2015_02_11 18:41:15", updated_at: "2015_02_11 1
8:41:47", ignore_types: [], ancestry: nil, title: "istanbul_isl", description: nil>, #<location id
19, name: "london_bas", type: "location", created_at: "2015_02_11 18:48:49", updated_at: "2015_0
2_11 18:48:53", ignore_types: [], ancestry: nil, title: "london_bas", description: nil>, #<locatio
n id: 18, name: "london_1d4", type: "location", created_at: "2015_02_11 18:47:22", updated_at: "20
15_02_11 18:47:26", ignore_types: [], ancestry: nil, title: "london_1d4", description: nil>, #<loc
ation id: 20, name: "london_lse", type: "location", created_at: "2015_02_11 18:49:10", updated_at:
"2015_02_11 18:49:16", ignore_types: [], ancestry: nil, title: "london_lse", description: nil>, #
<location id: 14, name: "madrid_mad", type: "location", created_at: "2015_02_11 18:41:02", updated
_at: "2015_02_11 18:45:57", ignore_types: [], ancestry: nil, title: "madrid_mad", description: nil
>, #<location id: 9, name: "milan_mil", type: "location", created_at: "2015_02_11 18:33:58", updat
ed_at: "2015_02_11 18:41:58", ignore_types: [], ancestry: nil, title: "milan_mil", description: ni
1>, #<location id: 13, name: "moscow_mos", type: "location", created_at: "2015_02_11 18:40:46", up
dated_at: "2015_02_11 18:46:06", ignore_types: [], ancestry: nil, title: "moscow_mos", description
nil>, #<location id: 11, name: "newyork_nj2", type: "location", created_at: "2015_02_11 18:40:02
", updated_at: "2015_02_11 18:46:23", ignore_types: [], ancestry: nil, title: "newyork_nj2", descr
iption: nil>, #<location id: 21, name: "stockholm_sto", type: "location", created_at: "2015_02_11
18:49:29", updated_at: "2015_02_11 18:49:36", ignore_types: [], ancestry: nil, title: "stockholm_s
to", description: nil>, #<location id: 16, name: "zurich_zul", type: "location", created_at: "2015
_02_11 18:41:28", updated_at: "2015_02_11 18:46:45", ignore_types: [], ancestry: nil, title: "zuri
ch_zul", description: nil>]s

Full trace:

Foreman: :Exception
ERF42-5434 [Foreman::Exception]: unknown permission view_[#<location id: 22, name: "frankfurt_frm"
, type: "location", created_at: "2015_02_11 18:49:45", updated_at: "2015_02_11 18:49:50", ignore_t
ypes: [], ancestry: nil, title: "frankfurt_frm", description: nil>, #<location id: 7, name: "hong_
kong_hkx", type: "location", created_at: "2014_11_04 02:36:04", updated_at: "2014_12_22 03:48:18",
ignore_types: [], ancestry: nil, title: "hong_kong_hkx", description: nil>, #<location id: 15, na
me: "istanbul_isl", type: "location", created_at: "2015_02_11 18:41:15", updated_at: "2015_02_11 1
8:41:47", ignore_types: [], ancestry: nil, title: "istanbul_isl", description: nil>, #<location id
19, name: "london_bas", type: "location", created_at: "2015_02_11 18:48:49", updated_at: "2015_0
2_11 18:48:53", ignore_types: [], ancestry: nil, title: "london_bas", description: nil>, #<locatio
n id: 18, name: "london_1d4", type: "location", created_at: "2015_02_11 18:47:22", updated_at: "20
15_02_11 18:47:26", ignore_types: [], ancestry: nil, title: "london_1d4", description: nil>, #<loc
ation id: 20, name: "london_lse", type: "location", created_at: "2015_02_11 18:49:10", updated_at:

"2015_02_11 18:49:16", ignore_types: [], ancestry: nil, title: "london_lse", description: nil>, #
<location id: 14, name: "madrid_mad", type: "location", created_at: "2015_02_11 18:41:02", updated
_at: "2015_02_11 18:45:57", ignore_types: [], ancestry: nil, title: "madrid_mad", description: nil
>, #<location id: 9, name: "milan_mil", type: "location", created_at: "2015_02_11 18:33:58", updat
ed_at: "2015_02_11 18:41:58", ignore_types: [], ancestry: nil, title: "milan _mil", description: ni
1>, #<location id: 13, name: "moscow_mos", type: "location", created_at: "2015_02_11 18:40:46", up
dated_at: "2015_02_11 18:46:06", ignore_types: [], ancestry: nil, title: "moscow_mos", description

nil>, #<location id: 11, name: "newyork_nj2", type: "location", created_at: "2015_02_11 18:40:02
", updated_at: "2015_02_11 18:46:23", ignore_types: [], ancestry: nil, title: "newyork_nj2", descr

iption: nil>, #<location id: 21, name: "stockholm_sto", type: "location", created_at: "2015_02_11

18:49:29", updated_at: "2015_02_11 18:49:36", ignore_types: [], ancestry: nil, title: "stockholm_s
to", description: nil>, #<location id: 16, name: "zurich_zul", type: "location", created_at: "2015
_02_11 18:41:28", updated_at: "2015_02_11 18:46:45", ignore_types: [], ancestry: nil, title: "zuri

ch_zul", description: nil>]s

/usr/share/foreman/app/services/association_authorizer.rb:22:in "permission_name'
/usr/share/foreman/app/services/association_authorizer.rb:9:in "authorized_associations'
/usr/share/foreman/app/helpers/layout_helper.rb:108:in "multiple_selects'
/usr/share/foreman/app/helpers/layout_helper.rb:97:in ‘multiple_checkboxes'
/usr/share/foreman/app/views/filters/_form.html.erb:59:in “block in _2e4d4fbdcaa21617f0cc6ab2894078a
59c’
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/helpers/capture_helper.r
b:40:in "block in capture'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/helpers/capture_helper.r
b:187:in “with_output_buffer'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/helpers/capture_helper.r
b:40:in "~ capture'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/helpers/form_helper.rb:6
07:in "~ fields_for'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/helpers/form_helper.rb:3
78:in " form_for'

/usr/share/foreman/app/helpers/layout_helper.rb:400:in " form_for'
/usr/share/foreman/app/views/filters/_form.html.erb:3:in ~_2ed4fbdcaa21617f0cc6ab2894078a59c"
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack—-3.2.8/1lib/action_view/template.rb:145:in “bloc
k in render'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/notifications.rb:1
25:in " instrument'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/template.rb:143:in "“rend
er'
/opt/theforeman/tfm/root/usr/share/gems/gems/deface-1.0.1/1ib/deface/action_view_extensions.rb:41:
in "“render'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack—-3.2.8/1lib/action_view/renderer/partial_rendere
r.rb:265:in ‘render_partial’
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack—-3.2.8/1ib/action_view/renderer/partial_rendere
r.rb:238:in "block in render'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/renderer/abstract_render
er.rb:38:in "block in instrument'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport—-3.2.8/1lib/active_support/notifications.rb:1
23:in "block in instrument'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/notifications/inst
rumenter.rb:20:1in "~ instrument'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/notifications.rb:1
23:in " instrument'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/renderer/abstract_render
er.rb:38:in "“instrument'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/renderer/partial_rendere
r.rb:237:in "render'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/renderer/renderer.rb:41:
in “render_partial'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack—-3.2.8/1lib/action_view/helpers/rendering_helper
.rb:27:in "~ render'

/usr/share/foreman/app/views/filters/edit.html.erb:3:in ~_921f25a61£73427ccc878d13ec03b190"
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/template.rb:145:in "bloc
k in render'

/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport—-3.2.8/1lib/active_support/notifications.rb:1

25:in " instrument'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.

er'

/opt/theforeman/tfm/root/usr/share/gems/gems/deface-1.

in “render'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.

er.rb:47:in "block (2 levels) in render_template'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.

er.rb:38:in “block in instrument'

2.8/lib/action_view/template.rb:143:in "rend
0.1/1lib/deface/action_view_extensions.rb:41:
2.8/1lib/action_view/renderer/template_render

2.8/1lib/action_view/renderer/abstract_render

/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport—-3.2.8/1lib/active_support/notifications.rb:1

23:in “block in instrument'

/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/notifications/inst

rumenter.rb:20:in "instrument'

/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/notifications.rb:1

23:in " instrument'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.

er.rb:38:in "~ instrument'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.

er.rb:46:in “block in render_template'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.

er.rb:54:in ‘render_with_layout'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.

er.rb:45:in “render_template'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.

er.rb:18:in "~ render'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.

in “render_template'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.

in “render'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.

:in " _render_template’

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.

:225:1in " _render_template'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.

:in “render_to_body'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.

:28:1in “render_to_body'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.

y.rb:50:in "render_to_body'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.

in “render'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.

:16:1in “render'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.

ion.rb:40:in “block (2 levels) in render'

2.8/1lib/action_view/renderer/abstract_render
2.8/1lib/action_view/renderer/template_render
2.8/1lib/action_view/renderer/template_render
2.8/1lib/action_view/renderer/template_render
2.8/1lib/action_view/renderer/template_render
2.8/1lib/action_view/renderer/renderer.rb:36:
2.8/lib/action_view/renderer/renderer.rb:17:
2.8/1lib/abstract_controller/rendering.rb:110
2.8/1lib/action_controller/metal/streaming.rb
2.8/lib/abstract_controller/rendering.rb:103
2.8/1lib/action_controller/metal/renderers.rb
2.8/1lib/action_controller/metal/compatibilit
2.8/1lib/abstract_controller/rendering.rb:88:
2.8/lib/action_controller/metal/rendering.rb

2.8/lib/action_controller/metal/instrumentat

/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/core_ext/benchmark

.rb:5:in “block in ms'

/opt/rh/rubyl93/root/usr/share/ruby/benchmark.rb:295:in “realtime'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/core_ext/benchmark

.rb:5:in "ms'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.

ion.rb:40:in “block in render'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.

ion.rb:83:in ‘cleanup_view_runtime'

/opt/rh/rubyl93/root/usr/share/gems/gems/activerecord-

runtime.rb:24:in "“cleanup_view_runtime'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.

ion.rb:39:in "~ render'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.

der.rb:10:in “default_render'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.

der.rb:5:in “send_action'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.

process_action'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.
2.8/lib/action_controller/metal/instrumentat
2.8/lib/action_controller/metal/instrumentat
3.2.8/1lib/active_record/railties/controller_
2.8/1lib/action_controller/metal/instrumentat
2.8/1ib/action_controller/metal/implicit_ren
2.8/1lib/action_controller/metal/implicit_ren
2.

8/1lib/abstract_controller/base.rb:167:1in

2.8/1lib/action_controller/metal/rendering.rb
:10:in “process_action'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/abstract_controller/callbacks.rb:18:
in “block in process_action'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport—-3.2.8/1lib/active_support/callbacks.rb:649:1
n "block (4 levels) in _run_ 3817279821947076993__ process_action_ 4444897464437989231_ callbacks'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:215:1i
n "block in _conditional_callback_around_7662"'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:326:1
n “around'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport—-3.2.8/1lib/active_support/callbacks.rb:310:1
n ~_callback_around_2486"
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport—-3.2.8/1lib/active_support/callbacks.rb:214:1
n ' _conditional_callback_around_7662"
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:626:1i
n "block (3 levels) in _run__3817279821947076993__process_action__4444897464437989231__ callbacks'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:215:1
n "block in _conditional_callback_around_7661"'
/usr/share/foreman/app/controllers/concerns/application_shared.rb:13:in “set_timezone'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:214:1i
n ' _conditional_callback_around_7661"
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:625:1i
n "block (2 levels) in _run__3817279821947076993__ process_action__ 4444897464437989231_ callbacks'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:215:1
n "block in _conditional_callback_around_7660"'
/usr/share/foreman/app/models/concerns/foreman/thread_session.rb:32:in “clear_thread'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:214:1
n ~_conditional_ callback_around_7660"
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport—-3.2.8/1lib/active_support/callbacks.rb:448:1
n ‘block in _run_ 3817279821947076993__ process_action_ 4444897464437989231__ callbacks'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:215:1i
n "block in _conditional_callback_around_7659'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:326:1
n “around'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport—-3.2.8/1lib/active_support/callbacks.rb:310:1
n ~_callback_around_13"'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport—-3.2.8/1lib/active_support/callbacks.rb:214:1
n ' _conditional_callback_around_7659"'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport—-3.2.8/1lib/active_support/callbacks.rb:414:1i
n “_run_ 3817279821947076993__process_action__4444897464437989231___callbacks'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:405:1
n _ run_callback'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:385:1
n ' _run_process_action_callbacks'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport—-3.2.8/1lib/active_support/callbacks.rb:81:in

‘run_callbacks'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack—-3.2.8/1lib/abstract_controller/callbacks.rb:17:
in “process_action'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_controller/metal/rescue.rb:29
:in “process_action’
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_controller/metal/instrumentat
ion.rb:30:in "block in process_action'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport—-3.2.8/1lib/active_support/notifications.rb:1
23:in "block in instrument'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/notifications/inst
rumenter.rb:20:1in "~ instrument'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/notifications.rb:1
23:in " instrument'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_controller/metal/instrumentat
ion.rb:29:in “process_action'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_controller/metal/params_wrapp
er.rb:207:in “process_action'
/opt/rh/rubyl93/root/usr/share/gems/gems/activerecord-3.2.8/1lib/active_record/railties/controller_
runtime.rb:18:1in “process_action'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/abstract_controller/base.rb:121:in
process'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/abstract_controller/rendering.rb:45:
in “process'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_controller/metal.rb:203:in “d
ispatch'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_controller/metal/rack_delegat
ion.rb:14:in “dispatch'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_controller/metal.rb:246:in b
lock in action'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack—-3.2.8/1ib/action_dispatch/routing/route_set.rb
:73:in “call'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_dispatch/routing/route_set.rb
:73:in “dispatch'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_dispatch/routing/route_set.rb
:36:in “call'
/opt/rh/rubyl93/root/usr/share/gems/gems/journey-1.0.4/1ib/journey/router.rb:68:in ‘block in call'
/opt/rh/rubyl93/root/usr/share/gems/gems/journey-1.0.4/1ib/journey/router.rb:56:in "each’
/opt/rh/rubyl93/root/usr/share/gems/gems/journey-1.0.4/1ib/journey/router.rb:56:in "call’
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack—-3.2.8/1lib/action_dispatch/routing/route_set.rb
:600:1in “call'
/opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.2.6/1lib/apipie/extractor/recorder.rb:9
7:in “call'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_dispatch/middleware/static.rb
:62:in “call'
/opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.2.6/1lib/apipie/middleware/checksum_in_
headers.rb:27:in “call’
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack—-3.2.8/1ib/action_dispatch/middleware/best_stan
dards_support.rb:17:in “call'
/opt/rh/rubyl93/root/usr/share/gems/gems/rack-1.4.1/1ib/rack/etag.rb:23:in “call'
/opt/rh/rubyl93/root/usr/share/gems/gems/rack-1.4.1/1ib/rack/conditionalget.rb:25:in “call'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack—-3.2.8/1lib/action_dispatch/middleware/head.rb:1
4:in “call'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack—-3.2.8/1lib/action_dispatch/middleware/params_pa
rser.rb:21l:in “call’
/usr/share/foreman/lib/middleware/catch_json_parse_errors.rb:9:in “call'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_dispatch/middleware/flash.rb:
242:in “call'
/opt/rh/rubyl93/root/usr/share/gems/gems/rack-1.4.1/1ib/rack/session/abstract/id.rb:205:in " contex
t'
/opt/rh/rubyl93/root/usr/share/gems/gems/rack-1.4.1/1ib/rack/session/abstract/id.rb:200:in “call’
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack—-3.2.8/1lib/action_dispatch/middleware/cookies.r
p:339:in “call’
/opt/rh/rubyl93/root/usr/share/gems/gems/activerecord-3.2.8/1lib/active_record/query_cache.rb:64:in
‘call!
/opt/rh/rubyl93/root/usr/share/gems/gems/activerecord-3.2.8/1lib/active_record/connection_adapters/
abstract/connection_pool.rb:473:in “call'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack—-3.2.8/1lib/action_dispatch/middleware/callbacks
.rb:28:1in “block in call'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport—-3.2.8/1lib/active_support/callbacks.rb:405:1i
n ~_run__2027021080101736678__call__1535959372625653893__callbacks'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:405:1
n _ _run_callback'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:385:1
n ~_run_call callbacks'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport—-3.2.8/1lib/active_support/callbacks.rb:81:in
‘run_callbacks'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack—-3.2.8/1lib/action_dispatch/middleware/callbacks
.rb:27:in “call'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack—-3.2.8/1ib/action_dispatch/middleware/remote_ip
.rb:31:in “call'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_dispatch/middleware/debug_exc
eptions.rb:16:in “call'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1ib/action_dispatch/middleware/show_exce
ptions.rb:56:in “call’
/opt/rh/rubyl93/root/usr/share/gems/gems/railties—-3.2.8/1lib/rails/rack/logger.rb:26:in ‘call_app'
/opt/rh/rubyl93/root/usr/share/gems/gems/railties—-3.2.8/1ib/rails/rack/logger.rb:16:in “call'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_dispatch/middleware/request_i
d.rb:22:in “call'
/opt/rh/rubyl93/root/usr/share/gems/gems/rack-1.4.1/1ib/rack/methodoverride.rb:21:in “call'
/opt/rh/rubyl93/root/usr/share/gems/gems/rack-1.4.1/1lib/rack/runtime.rb:17:in “call’
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/cache/strategy/loc
al _cache.rb:72:1in “call'’
/opt/rh/rubyl93/root/usr/share/gems/gems/rack-1.4.1/1ib/rack/lock.rb:15:in “call'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_dispatch/middleware/static.rb
:62:in “call'
/opt/rh/rubyl93/root/usr/share/gems/gems/rack—-cache-1.2/1ib/rack/cache/context.rb:136:in " forward'
/opt/rh/rubyl93/root/usr/share/gems/gems/rack—-cache-1.2/1lib/rack/cache/context.rb:245:in " fetch'
/opt/rh/rubyl93/root/usr/share/gems/gems/rack-cache-1.2/1ib/rack/cache/context.rb:185:in " lookup'
/opt/rh/rubyl93/root/usr/share/gems/gems/rack-cache-1.2/1lib/rack/cache/context.rb:66:in “call!'
/opt/rh/rubyl93/root/usr/share/gems/gems/rack—-cache-1.2/1ib/rack/cache/context.rb:51:in “call'
/opt/rh/rubyl93/root/usr/share/gems/gems/railties—-3.2.8/1lib/rails/engine.rb:479:in “call’
/opt/rh/rubyl93/root/usr/share/gems/gems/railties—-3.2.8/1lib/rails/application.rb:223:in “call’
/opt/rh/rubyl93/root/usr/share/gems/gems/railties—-3.2.8/1lib/rails/railtie/configurable.rb:30:in "m
ethod_missing'
/opt/rh/rubyl93/root/usr/share/gems/gems/rack-1.
/opt/rh/rubyl93/root/usr/share/gems/gems/rack-1.
/opt/rh/rubyl93/root/usr/share/gems/gems/rack-1.4.1/1lib/rack/urlmap.rb:49:in “each'
/opt/rh/rubyl93/root/usr/share/gems/gems/rack-1.4.1/1lib/rack/urlmap.rb:49:in “call'
/usr/share/gems/gems/passenger—4.0.18/1ib/phusion_passenger/rack/thread_handler_extension.rb:77:in
‘process_request'
/usr/share/gems/gems/passenger—-4.0.18/1ib/phusion_passenger/request_handler/thread_handler.rb:140:

.1/1lib/rack/builder.rb:134:in “call'

4
4.1/1lib/rack/urlmap.rb:64:in “block in call’
4
4

in “accept_and_process_next_request'
/usr/share/gems/gems/passenger-4.0.18/1ib/phusion_passenger/request_handler/thread_handler.rb:108:
in "main_loop'
/usr/share/gems/gems/passenger-4.0.18/1ib/phusion_passenger/request_handler.rb:441:in “block (3 le
vels) 1n start_threads'
/opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/1ib/logging/diagnostic_context.rb:323:1i
n “call'
/opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/1ib/logging/diagnostic_context.rb:323:1i
n ‘block in create_with_logging_context'

Debug file has also been uploaded

Related issues:
Related to Foreman - Bug #11188: on deleting a capsule: Operation FAILED: ER... Closed
Related to Foreman - Bug #14101: Foreman exception triggered when editing/add... Closed 03/08/2016

Associated revisions

Revision 1106fdeb - 02/17/2016 10:32 AM - Tom Caspy
fixes #13515 - fix issue where expecting scope but receiving array
the permission name method expects a scope, but sometimes received an

array instead, in that case, the correct way to bypass the issue is to
use the class of the first item in the array.

History

#1 - 02/02/2016 06:41 AM - Dominic Cleal

- Related to Bug #11188: on deleting a capsule: Operation FAILED: ERROR: update or delete on table "smart_proxies" violates foreign key
constraint "hosts_puppet_ca_proxy_id_fk" on table "hosts" added

#2 - 02/02/2016 06:41 AM - Dominic Cleal
- Category set to Users, Roles and Permissions

- translation missing: en.field_release set to 123

#3 - 02/15/2016 08:42 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Tom Caspy

- Pull request https://github.com/theforeman/foreman/pull/3187 added

#4 - 02/23/2016 06:04 AM - Dominic Cleal
- Status changed from Ready For Testing to Closed
Fixed directly in 1.10-stable in https:/github.com/theforeman/foreman/commit/1106fdebd85f35c3b842f9d4 1ae2cdc766eafbbf, already working on
develop due to #7230.

#5 - 03/06/2016 08:36 PM - Chris Edester

| am still having this issue with locations:

| now get this error after updating from 1.10.1 to 1.10.2:

Warning!

ERF42-5434 [Foreman::Exception]: unknown permission view_casbios
casbios is the pluralized form of the name of a location | have.

Is this supposed to be view_locations maybe?

Foreman::Exception

ERF42-5434 [Foreman::Exception]: unknown permission view_casbios
/usr/share/foreman/app/services/association_authorizer.rb:23:in “permission_name'
/usr/share/foreman/app/services/association_authorizer.rb:9:in “authorized_associations'
/usr/share/foreman/app/helpers/layout_helper.rb:108:in “multiple_selects'
/usr/share/foreman/app/helpers/layout_helper.rb:97:in “multiple_checkboxes'
/usr/share/foreman/app/views/filters/_form.html.erb:66:in “block in 1177190830d985b017b14cb3c1f3b3804'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/helpers/capture_helper.rb:40:in "block in capture'
/opt/rh/ruby 193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/helpers/capture _helper.rb:187:in “with_output_buffer
/opt/rh/ruby 193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/helpers/capture_helper.rb:40:in "capture’
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/helpers/form_helper.rb:607:in “fields_for'
/opt/rh/ruby 193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/helpers/form_helper.rb:378:in “form_for'
/usr/share/foreman/app/helpers/layout_helper.rb:400:in “form_for'
/usr/share/foreman/app/views/filters/_form.html.erb:3:in ~_117190830d985b017b14cb3c1f3b3804'

/opt/rh/ruby 193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/template.rb:145:in “block in render’
/opt/rh/ruby 193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:125:in “instrument’
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/template.rb:143:in “render’
/opt/theforeman/tfm/root/usr/share/gems/gems/deface-1.0.1/lib/deface/action_view_extensions.rb:41:in “render’
/opt/rh/ruby 193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/partial_renderer.rb:265:in ‘render_partial'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/partial_renderer.rb:238:in "block in render’
/opt/rh/ruby 193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/abstract_renderer.rb:38:in "block in instrument’
/opt/rh/ruby 193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:123:in “block in instrument’
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications/instrumenter.rb:20:in “instrument’
/opt/rh/ruby 193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:123:in “instrument’

/opt/rh/ruby 193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/abstract_renderer.rb:38:in “instrument’
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/partial_renderer.rb:237:in “render’

/opt/rh/ruby 193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/renderer.rb:41:in “render_partial'

/opt/rh/ruby 193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/helpers/rendering_helper.rb:27:in “render’
/usr/share/foreman/app/views/filters/new.html.erb:3:in ~_d8fb784c1802a3da95bde9dfe9a9e711'

/opt/rh/ruby 193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/template.rb:145:in “block in render’

/opt/rh/ruby 193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:125:in “instrument’
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/template.rb:143:in “render’
/opt/theforeman/tfm/root/usr/share/gems/gems/deface-1.0.1/lib/deface/action_view_extensions.rb:41:in “render’

/opt/rh/ruby 193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/template_renderer.rb:47:in "block (2 levels) in render_template'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/abstract_renderer.rb:38:in "block in instrument’
/opt/rh/ruby 193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:123:in “block in instrument'

/opt/rh/ruby 193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications/instrumenter.rb:20:in “instrument’
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:123:in “instrument’

/opt/rh/ruby 193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/abstract_renderer.rb:38:in “instrument’

/opt/rh/ruby 193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/template_renderer.rb:46:in "block in render_template’
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/template_renderer.rb:54:in “render_with_layout'
/opt/rh/ruby 193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/template_renderer.rb:45:in “render_template’
/opt/rh/ruby 193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/template_renderer.rb:18:in “render’
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/renderer.rb:36:in “render_template'

/opt/rh/ruby 193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/renderer.rb:17:in “render’

/opt/rh/ruby 193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/rendering.rb:110:in "_render_template’
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/streaming.rb:225:in ~_render_template'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/rendering.rb:103:in “render_to_body'

/opt/rh/ruby 193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/renderers.rb:28:in “render_to_body'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/compatibility.rb:50:in “render_to_body'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/rendering.rb:88:in “render’

/opt/rh/ruby 193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rendering.rb:16:in “render’
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentation.rb:40:in “block (2 levels) in render’
/opt/rh/ruby 193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/core_ext/benchmark.rb:5:in "block in ms'

/opt/rh/ruby 193/root/usr/share/ruby/benchmark.rb:295:in “realtime’
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/core_ext/benchmark.rb:5:in ‘'ms'

/opt/rh/ruby 193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentation.rb:40:in "block in render’
/opt/rh/ruby 193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentation.rb:83:in “cleanup_view_runtime'

'
/opt/rh/ruby 193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/railties/controller_runtime.rb:24:in “cleanup_view_runtime'
/opt/rh/ruby 193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentation.rb:39:in “render’

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/implicit_render.rb:10:in "default_render

]

/opt/rh/ruby 193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/implicit_render.rb:5:in "send_action'
/opt/rh/ruby 193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/base.rb:167:in "process_action'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rendering.rb:10:in "process_action'

/opt/rh/ruby 193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/callbacks.rb:18:in
/opt/rh/ruby 193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:649:in °
_3721428158346022179__process_action_2202385709204905036__ callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:in
/opt/rh/ruby 193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:326:in °

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:310:in ~_
/opt/rh/ruby 193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:in ~_
‘block (3 levels) in _run

/opt/rh/ruby 193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:626:in
_3721428158346022179__process_action_2202385709204905036__ callbacks'
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:in
/usr/share/foreman/app/controllers/concerns/application_shared.rb:13:in "set_timezone'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:in ~_
‘block (2 levels) in _run

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:625:in
_3721428158346022179__process_action__2202385709204905036__ callbacks'
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:in
/usr/share/foreman/app/models/concerns/foreman/thread_session.rb:32:in “clear_thread'
/opt/rh/ruby 193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:in
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:448:in
_3721428158346022179__process_action__2202385709204905036__ callbacks'
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:in
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:326:in
/opt/rh/ruby 193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:310:in

‘block in _run

/opt/rh/ruby 193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:in

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:414:in

_3721428158346022179__process_action__2202385709204905036__ callbacks'

block in process_action’
block (4 levels) in _run

block in conditional_callback _around 8818’
around'

callback_around_2506'
conditional_callback_around 8818’

“block in conditional_callback_around _8817'

conditional_callback_around _8817'

“block in conditional _callback _around 8816’

conditional_callback_around 8816’

“block in conditional _callback around 8815'
‘around’

callback_around 13’
conditional_callback_around 8815’
run

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in *__run_callback'’
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:385:in *_run_process_action_callbacks'
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81:in “run_callbacks'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/callbacks.rb:17:in “process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rescue.rb:29:in

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentation.rb:30:in “block in process_action

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:123:i

‘process_action'

n “block in instrument'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications/instrumenter.rb:20:in “instrument’

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:123:i

n “instrument’

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentation.rb:29:in “process_action'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/params_wrapper.rb:207:in “process_action'
/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/railties/controller_runtime.rb:18:in “process_action’

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/base.rb:121:in "pro
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/rendering.rb:45:in °

cess'
process'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal.rb:203:in “dispatch’

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rack_delegatio

n.rb:14:in “dispatch’

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal.rb:246:in “block in action'
/opt/rh/ruby193/root/ust/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:73:in “call’
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:73:in "dispatch’
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:36:in “call’

/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:68:in “block in call’
/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:56:in “each’
/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:56:in “call’

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:600:in “call'
/opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.2.6/lib/apipie/extractor/recorder.rb:97:in “call’
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb:62:in “call’
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb:62:in “call’
/opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.2.6/lib/apipie/middleware/checksum_in_headers.rb:27:in “call’

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/best_stan
/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/etag.rb:23:in “call'
/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/conditionalget.rb:25:in “call'

dards_support.rb:17:in “call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/head.rb:14:in “call'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/params_parser.rb:21:in “call'

/usr/share/foreman/lib/middleware/catch_json_parse_errors.rb:9:in “call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/flash.rb:242:in “call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/session/abstract/id.rb:205:in “context’
/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/session/abstract/id.rb:200:in “call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/cookies.rb:339:in “call'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/query_cache.rb:64:in

call'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/connection_pool.rb:473:in “call'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/callbacks.rb:28:in “block in call'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in
*_run__3708608949291730230__call__3455160547331339467__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in *__run_callback'
/opt/rh/ruby193/root/ust/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:385:in *_run_call_callbacks'
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81:in “run_callbacks'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/callbacks.rb:27:in “call'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/remote_ip.rb:31:in “call’
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/debug_exceptions.rb:16:in “call’
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/show_exceptions.rb:56:in “call'
/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/rack/logger.rb:26:in “call_app'
/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/rack/logger.rb:16:in “call'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/request_id.rb:22:in “call'
/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/methodoverride.rb:21:in “call'
/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/runtime.rb:17:in “call'
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/cache/strategy/local_cache.rb:72:in “call'
/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/lock.rb:15:in “call'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb:62:in “call’
/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:136:in “forward'
/opt/rh/ruby193/root/ust/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:245:in “fetch'
/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:185:in “lookup'
/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:66:in “call!'
/opt/rh/ruby193/root/ust/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:51:in “call’
/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/engine.rb:479:in “call'
/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/application.rb:223:in “call'
/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/railtie/configurable.rb:30:in “method_missing'
/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/builder.rb:134:in “call’
/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:64:in “block in call'
/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urimap.rb:49:in “each’
/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urimap.rb:49:in “call'
/usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/rack/thread_handler_extension.rb:77:in “process_request'
/usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:140:in "accept_and_process_next_request'
/usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:108:in “main_loop'
/usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/request_handler.rb:441:in “block (3 levels) in start_threads'
/opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:323:in “call’
/opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:323:in “block in create_with_logging_context'

#6 - 03/06/2016 08:48 PM - Chris Edester

Adding this also to /usr/share/foreman/app/services/association_authorizer.rb, seems to fix it for me.
klass = klass.class unless klass.is_a? (Class)

def self.permission_name (klass, permission, should_raise_exception)
klass = klass.first if klass.is_a? (Array)
klass = klass.class unless klass.is_a? (Class)
suffix = klass.respond_to? (:permission_name) ? klass.permission_name : klass.to_s.underscore.pluralize
permission = "#{permission}_#{suffix}"
if Permission.where(:name => permission) .present?
permission
elsif should_raise_exception
raise Foreman::Exception.new (N_('unknown permission %s'), permission)
else
false
end
end

It seems we are passed an array of instances of organizations / locations rather than the Classes.
The other option is to fix the caller of this method (don't know where that is at the moment)...

#7 - 03/07/2016 03:52 AM - Dominic Cleal

Could you open a new ticket please Chris?

#8 - 03/08/2016 11:05 AM - Dominic Cleal
- Related to Bug #14101: Foreman exception triggered when editing/adding a role added
